# Eco-credits calculation general parameters

The records in this database collection contain the default values for
Eco-credits parameters per product waste type. The waste type is denoted by
two main categories for now: WEEEs or Food. Each record in the **Products**
collection is allowed to contain a subset of these parameters above as product
specific overrides.

Each document in this collection has the following properties:

-   **HSkey:** Recycled product type as 6-digit HS key code, see
    **ProductTypes** for details. This defines whether the parameters of this
    record are for Waste Electrical and Electronic Equipment (WEEEs), Food Waste
    or other.

-   **Recyclability:** Same object as the object
    **MasterData.LifeCycle.Recyclability** in the Master Product Data record
    structure. See `software/AppsICTPlatform/src/site/resources/datamodels/json-schema/ProductMasterDataRecord.schema.json`.

-   **Material List:** Same object as the object
    **MasterData.LifeCycle.Material List** in the Master Product Data record
    structure. See `software/AppsICTPlatform/src/site/resources/datamodels/json-schema/ProductMasterDataRecord.schema.json`.

-   **LifespanDistribution:** Parameters for the Lifespan Weibull Distribution.
    Applies only to WEEEs product types and should be `null` for Food Waste and
    other types.
