/**
 * Institute of Communication and Computer Systems (ICCS)
 * i-sense Research Group
 */
package circ4life.iccs.gr;

import java.net.URI;
import java.net.URISyntaxException;

import circ4life.iccs.gr.EcoCreditCalculatorClient.EolState;

public class EcoCreditCalculatorApp {
	private final static String RESTRESOURCEURL = "https://circ4life.iccs.gr/EcoCreditCalculator/resources";

	public static void main(String[] args) {
		URI resturi = null;
		try {
			resturi = new URI(RESTRESOURCEURL);
		} catch (URISyntaxException e) {
			System.err.println("Malformed URI syntax: " + RESTRESOURCEURL);
			e.printStackTrace();
			System.exit(1);
		}

		if (null != resturi) {
			final EcoCreditCalculatorClient client = new EcoCreditCalculatorClient(resturi);
			final Integer hskey = 847130, years = 3, extramonths = 7;
			final EolState eolstate = EolState.REPAIRABLE;
			final Double ecocredits = client.request_ecocreditsGET(hskey, years, extramonths, eolstate);

			System.out.println(ecocredits + " Eco-credits for a product with the following properties: ");
			System.out.println("Waste type HS key: " + hskey);
			System.out.println("Usage: " + years + " years plus " + extramonths + " extra months");
			System.out.println("End of Life state: " + eolstate.toString());
		}
	}
}
