/**
 * Institute of Communication and Computer Systems (ICCS)
 * i-sense Research Group
 */
package circ4life.iccs.gr;

import java.net.URI;

import org.openapitools.client.ApiException;
import org.openapitools.client.api.DefaultApi;

public class EcoCreditCalculatorClient extends DefaultApi {
	public enum EolState {
		WORKING("working"), REPAIRABLE("repairable"), BROKEN("broken");

		private final String m_value;

		private EolState(String value) {
			m_value = value;
		}

		@Override
		public String toString() {
			return m_value;
		}
	}

	public EcoCreditCalculatorClient(final URI basePath) {
		super();
		getApiClient().setUserAgent(EcoCreditCalculatorClient.class.getName());
		getApiClient().setBasePath(basePath.toString());
	}

	public Double request_ecocreditsGET(Integer hskey, Integer years, Integer extramonths, EolState eolstate) {
		Double ecocredits = 0.0;
		try {
			ecocredits = ecoCreditsGET(hskey, years, extramonths, eolstate.toString());
		} catch (ApiException e) {
			return null;
		}

		return ecocredits;
	}

	// TODO: Wrap or override all methods from DefaultApi to add your extra
	// functionality
}
